
QGIS Application - Bug report #58

CPU load 100% on redraw with global render layers toggle turned off

2006-04-05 01:24 AM - Gavin Macaulay -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10117

Description

To reproduce the bug:

    -  Start Qgis

    -  Load a layer (I've only tried shapefiles)

    -  Turn off the global render layer toggle

    -  Click on the redraw icon

    -  Qgis appears to hang

CPU load will go to 100%, with (on Linux) X using about 94% and qgis the rest.

Toggling on the global render control fixes the problem.

History

#1 - 2006-04-05 01:44 AM - Martin Dobias

Fixed in commit:a38ce51a (SVN r5173).

#2 - 2006-04-05 01:46 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
